package cz.moneta.test.dsl.refinanso;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.refinanso.RefinansoEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class Refinanso {
    private Harness harness;

    public Refinanso(Harness harness) {
        this.harness = harness;
    }

    public RefinansoHomePage openHomePage() {
        RefinansoEndpoint endpoint = harness.getEndpoint(RefinansoEndpoint.class);
        endpoint.openApplication();
        return Builders.newWebFlowBuilder(RefinansoHomePage.class, endpoint, harness);
    }
}
